ILAN(8)

NAME
ipmiutil lan - show and configure BMC LAN parameters and set up a PEF entry to send BMC LAN Alerts for OS Critical Stop log events

SYNOPSIS
ipmiutil lan [-abcdefghijklmnopq#rstuvwxyzBDQK -i eth1 ]
         [-I ipadr -M macadr -S subnet -B baud_sol ]
         [-G gwyip -H gwymac -L lan_channel_num ]
         [-A alertip -X alertmac -C community ]
         [-u user_to_set -p password_to_set ]
         [-N nodename -U username -Fimb ]
         [-P/-R rmt_node_pswd -EFJTVY ]

DESCRIPTION
ipmiutil lan shows or sets all of the IPMI LAN Parameters to enable remote LAN sessions or BMC LAN Alerts. The IP address and MAC address of the local system, the default gateway, and the alert destination can be defaulted to those specified in Linux, or can be overridden by user parameters. It also creates a new Platform Event Filter table entry for an OS Critical Stop (0x20) SEL firmware log event, so that it will be enabled to send a BMC LAN Alert. This utility will skip the PEF records if the system does not support IPMI 1.5 or greater. This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N.

OPTIONS
Command line options are described below. Note that without options, ipmiutil lan behaves as if option -r were used. To configure IPMI LAN & PEF, use option -e.

-a alertnum
    Specify which PEF alert number is to be used. Default is 1. This would only be used if extra PEF alert destinations had been set.

-b authmask
    Specify a certain authtype mask in hex to use when configuring this channel. The default mask is 0x16, so to include authtype None (bit 0), it would require entering '-b 17'.

-c  Show Canonical output, which shows only interpreted text and streamlines the parameters shown, using a common delimiter.

-d  This option disables the IPMI LAN and PEF parameters, so as not to allow BMC LAN connections or alerts. This option also sets the IP address to zeros.

-e  This option enables the BMC LAN configuration and PEF event alerts. The utility will attempt to obtain the default BMC LAN parameters from the OS automatically, or they can be specified with command options below.

-f  Set the ARP control parameter to 1 = gratuituous ARPs, 2 = ARP responses, or 3 = both grat ARP and ARP responses. The default is 1.

-g  This specifies the secondary gateway IP address to use for the BMC LAN. The default is to omit this parameter and only use the default gateway. See also -G.

-h  Set the IPMI VLAN ID to this value. Setting to a value >=4096 disables the VLAN ID. The default behavior is not to set this parameter.

-i ethif
    By default, the eth0 interface is used to find IP and MAC addresses. Sometimes, however, the first ethernet port on the baseboard may be represented by Linux as eth1 or eth2 instead. If so, use this option to indicate the correct ethernet interface to use. By default, ipmiutil lan will scan up to 32 eth interfaces for the onboard one that BMC LAN uses.

-j  This sets a custom PEF rule as the last PEF entry. The input is a series of 10 hex bytes, forming the PEF entry. For example, this sample PEF entry would perform a power down action if the Baseboard Temp reached its threshold.
      "ipmiutil lan -e -j020110ffff013001950a"

-k  This causes ipmiutil lan to also insert two rules to send alerts for transition-to-OK events, including Power Redundancy OK and Temperature OK.

-l  This option enables the BMC LAN configuration, but not PEF events. The utility will attempt to obtain the default BMC LAN parameters from the OS automatically, or they can be specified with command options below.

-n num
    By default, the new PEF entry for OS Critical Stop is inserted at offset 12 into the table. This can be changed to insert it at an offset > 12 if another entry already exists at offset 12.

-o  Disable Only SOL. This could be used after the IPMI LAN was configured, to disable Serial-Over-LAN console access but still allow other IPMI LAN access.

-p password_to_set
    This specifies the firmware password to set for BMC LAN access. If not specified, the user and password configuration will not be changed.

-q  Specify an alternate user number for the LAN username from the -u option. This is normally user number 2, 3, or 4, where 2 is the default. The maximum number of users is 15. Same as -# below.

-#  Specify an alternate user number for the LAN username from the -u option. Same as -q above.

-r  This option just reads the configuration without writing any BMC LAN parameters or writing any new entries to the PEF table.

-s  This option will also display some of the Serial parameters.

-t  Test if the BMC LAN has already been configured. Returns 0 if so.

-u username_to_set
    This specifies the firmware username to set for BMC LAN access. If a username is specified, user 3 will be set. If not specified, the default user 1 will be used.

-v priv
    Set a specific access priVilege for this user, where priv can be: 1=Callback, 2=User, 3=Operator, 4=Admin, 5=OEM, 15=NoAccess The default if not specified or specified in error, is to use 4=Admin.

-w N
    Set the Gratuitous ARP Interval to N seconds. This has no effect if the firmware does not support Grat-ARP, as shown in Lan Param 10. If not set, the interval remains at the firmware default.

-x  Causes extra debug messages to be displayed.

-y N
    Set the Intel LAN Failover parameter to N. Values for N: 1 = enable,
      0 = disable. This is only valid for Intel Romley/S2600 baseboards.

-z  Also show the IPMI LAN Statistics

-A alert_ip_addr
    This specifies the SNMP Alert Destination IP address to use for the BMC LAN. By default, this utility will attempt to obtain this from the /etc/snmp/snmpd.conf file, via the trapsink parameter. The alert destination will see the BMC LAN traps with the enterprises.3183.1.1 OID. If no alert IP address is specified in either snmpd.conf or this parameter, or if that IP address does not respond, the other SNMP parameters for BMC LAN will be skipped.

-B baud_sol
    This specifies the Baud rate for SerialOverLan. The possible values are: 9600, 19.2k, 38.4k, 57.6k, and 115.2k. The default is 19.2k.

-C snmp_community
    This specifies the SNMP Community name to use for BMC LAN Alerts. The default community string is "public". This parameter is ignored if there is no Alert IP address.

-D  This causes the local IP address to be determined by DHCP instead of a static IP address.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-G gwy_ip_addr
    This specifies the default gateway IP address to use for the BMC LAN. The default is to automatically obtain this from the Linux route table.

-H gwy_mac_addr
    This specifies the default gateway MAC address to use for the BMC LAN. The format can be either 11:22:33:44:55:66 or 11-22-33-44-55-66. The default is to try to automatically obtain this by sending an arp request from an OS LAN eth interface: the default one, or as specified by -i.

-K hostname
    This specifies the IPMI hostname to set, for Kontron servers only. This enables the firmware to properly map the IP address to a hostname, especially with the web interface. The default is not to set this parameter, and use IP address only.

-I ip_addr
    This specifies the local IP address to use for the BMC LAN on eth0. The default is to automatically obtain this from the Linux ifconfig.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-L lan_ch_num
    This specifies the IPMI LAN channel number used for BMC LAN. This varies by platform, and can be found in the platform technical specifications. By default, ipmiutil lan scans all IPMI channels to find a LAN channel for BMC LAN.

-M mac_addr
    This specifies the local MAC address to use for the BMC LAN on eth0. The format can be either 11:22:33:44:55:66 or 11-22-33-44-55-66. The default is to automatically obtain this from the Linux ifconfig.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-P rmt_pswd
    Remote password for the nodename given. The default is a null password. Same as -R below.

-Q  Set the IPMI VLAN Priority. The default priority is 0.

-R rmt_pswd
    Remote password for the nodename given. The default is a null password. Same as -P above.

-S subnet
    This specifies the local subnet mask to use for the BMC LAN on eth0. The default is to automatically obtain this from the Linux ifconfig.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-X alert_mac_addr
    This specifies the SNMP Alert Destinations's MAC address to use for the BMC LAN. The format can be either 11:22:33:44:55:66 or 11-22-33-44-55-66. The default is to attempt to obtain this from the Linux arp cache. This parameter is ignored if there is no Alert IP address.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

EXAMPLES
To read existing settings:
ipmiutil lan -r

To enable IPMI LAN with default settings detected, assuming shared MAC/IP:
ipmiutil lan -e

To set up IPMI LAN for a unique IP address and set PEF SNMP Alerts:
ipmiutil lan -e -I 192.168.1.1 -A 192.168.1.10

To set the IPMI LAN password for the default user:
ipmiutil lan -e -p mypassword

To disable access to the IPMI LAN channel:
ipmiutil lan -d

SAMPLE PEF TABLE
These 11 PEF table entries are configured from the factory for various Intel Sahalee BMC systems, and will be applied as the defaults for a system with an empty PEF table:
PEF(01): 01 Temperature Sensor event - enabled for alert
01 c0 01 01 00 ff ff 01 ff 01 95 0a 00 00 00 00 00 00 00 00 00
PEF(02): 02 Voltage Sensor event - enabled for alert
02 c0 01 01 00 ff ff 02 ff 01 95 0a 00 00 00 00 00 00 00 00 00
PEF(03): 04 Fan Failure event - enabled for alert
03 c0 01 01 00 ff ff 04 ff 01 95 0a 00 00 00 00 00 00 00 00 00
PEF(04): 05 Chassis Intrusion event - enabled for alert
04 c0 01 01 00 ff ff 05 05 6f 01 00 00 00 00 00 00 00 00 00 00
PEF(05): 08 Power Supply Fault event - enabled for alert
05 c0 01 01 00 ff ff 08 ff 6f 06 00 00 00 00 00 00 00 00 00 00
PEF(06): 0c Memory ECC Error event - enabled for alert
06 c0 01 01 00 ff ff 0c 08 6f 02 00 00 00 00 00 00 00 00 00 00
PEF(07): 0f FRB Failure event - enabled for alert
07 c0 01 01 00 ff ff 0f 06 6f 01 00 00 00 00 00 00 00 00 00 00
PEF(08): 07 BIOS POST Error event - enabled for alert
08 c0 01 01 00 ff ff 07 ff 6f 1c 00 00 00 00 00 00 00 00 00 00
PEF(09): 13 Fatal NMI event - enabled for alert
09 c0 01 01 00 ff ff 13 ff 6f 3e 03 00 00 00 00 00 00 00 00 00
PEF(10): 23 Watchdog Timer Reset event - enabled for alert
0a c0 01 01 00 ff ff 23 03 6f 0e 00 00 00 00 00 00 00 00 00 00
PEF(11): 12 System Restart event - enabled for alert
0b c0 01 01 00 ff ff 12 ff 6f 02 00 00 00 00 00 00 00 00 00 00

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) icmd(8) idiscover(8) ievents(8) ifru(8) igetevent(8) ihealth(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>